## org.omg.CORBA
Class INV_POLICY

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.INV_POLICY

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class INV_POLICY
extends SystemException

INV_POLICY is raised when an invocation cannot be made due to an incompatibility between Policy overrides that apply to the particular invocation.

Since:
  CORBA 2.3
See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`INV_POLICY()`
`INV_POLICY(int minor, CompletionStatus completed)`
`INV_POLICY(java.lang.String orb_reason)`
`INV_POLICY(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### INV_POLICY

    public INV_POLICY()

### INV_POLICY

    public INV_POLICY(java.lang.String orb_reason)

### INV_POLICY

    public INV_POLICY(int minor,
                      CompletionStatus completed)

### INV_POLICY

    public INV_POLICY(java.lang.String orb_reason,
                      int minor,
                      CompletionStatus completed)